//*****************************************************************************
//*
//*
//*		SynchPathDlg.h : Header-Datei
//*
//*
//*****************************************************************************
#if !defined(AFX_SYNCHPATHDLG_H__8F9AEE58_4FA2_11D6_B469_00E07D86939E__INCLUDED_)
#define      AFX_SYNCHPATHDLG_H__8F9AEE58_4FA2_11D6_B469_00E07D86939E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include	"StringChain.h"


//*****************************************************************************
//*
//*		CSynchPathDlg Dialogfeld
//*
//*****************************************************************************
// CSynchPathDlg Dialogfeld
class CSynchPathDlg : public CDialog
{
public:
	void OnShortcut();
	void OnFlagInfo();

	CSynchPathDlg(CWnd *pParent = NULL);	// Standard-Konstruktor

	//{{AFX_DATA(CSynchPathDlg)
	enum { IDD = IDD_SYNCHPATH_DIALOG };
	BOOL	m_dualsynch;
	BOOL	m_viewerrors;
	BOOL	m_subdir;
	BOOL	m_readonly;
	CString	m_plus;
	CString	m_minus;
	CString	m_path1;
	CString	m_path2;
	int		m_mode;
	BOOL	m_askcopy;
	//}}AFX_DATA

	BOOL	m_removenew;
	BOOL	m_noregistry;
	BOOL	m_autostart;
	BOOL	m_nooverwrite;
	BOOL	m_alloverwrite;
	BOOL	m_setcppfilter;
	BOOL	m_setcxxfilter;

	//{{AFX_VIRTUAL(CSynchPathDlg)
	protected:
	virtual void DoDataExchange(CDataExchange *pDX);	// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

protected:

	static BYTE		m_bFontSize[256];
	static UINT		m_uPathSize;
	BOOL			m_bSynchOn;
	BOOL			m_bStop;
	UINT			m_uFlags;
	INT				m_iResult;
	INT				m_iTextNr;
	HICON			m_hIcon;
	CStringChain	m_chainplus;
	CStringChain	m_chainminus;
	CStringChain	m_chainsource;
	CStringChain	m_chaintarget;
	INT				m_iSyncNr;

	static int	    SynchName   (void *pParam,const char *pFrom,const char*pTo);
	static int	    SynchPercent(void *pParam,int iPercent);
	static UINT		ThreadProc(LPVOID pParam);
		   UINT		ThreadProc();

	//{{AFX_MSG(CSynchPathDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSysColorChange();
	virtual void OnOK();
	afx_msg void OnPath1();
	afx_msg void OnPath2();
	virtual void OnCancel();
	afx_msg void OnStop();
	afx_msg void OnEndThread();
	afx_msg void OnDestroy();
	//}}AFX_MSG

	afx_msg void OnChangeMode();

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif
