//*****************************************************************************
//*
//*
//*		SynchPath.cpp : Legt das Klassenverhalten fr die Anwendung fest.
//*
//*
//*****************************************************************************
//
//	Flags fr den Start
//
//		-Q:Quellverzeichnis
//		-Z:Zielverzeichnis
//		-P:Plusfilter
//		-M:Minusfilter
//		-N	Nie berschreiben
//		-B	In beide Richtungen synchronisieren
//		-F	Fehler anzeigen
//		-U	Unterverzeichnisse synchronisiren
//		-S	Schreibgeschtzte Dateien nicht berschreiben
//		-V	Dialog nicht anzeigen
//		-A	Synchronisation automatisch starten
//		-C	C++ Filter setzen
//		-X	C++ Filter setzen (im Plusfilter)

#include "StdAfx.h"
#include "SynchFile.h"
#include "SynchPath.h"
#include "SynchPathDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif


BEGIN_MESSAGE_MAP(CSynchPathApp, CWinApp)
	//{{AFX_MSG_MAP(CSynchPathApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()


CSynchPathApp theApp;


//*****************************************************************************
//*
//*		Konstruktor
//*
//*****************************************************************************
CSynchPathApp::CSynchPathApp()
{
}


//*****************************************************************************
//*
//*		InitInstance
//*
//*****************************************************************************
// CSynchPathApp Initialisierung
BOOL CSynchPathApp::InitInstance()
{
BOOL		m_noview=FALSE;
char	   *param;
int			x,m_uFlags;


	AfxUtilityInit();
	AfxEnableControlContainer();


	#ifdef _AFXDLL
	Enable3dControls();			// Diese Funktion bei Verwendung von MFC in gemeinsam genutzten DLLs aufrufen
	#else
	Enable3dControlsStatic();	// Diese Funktion bei statischen MFC-Anbindungen aufrufen
	#endif


	CSynchPathDlg dlg;
	m_pMainWnd = &dlg;


	for(x=1;x<__argc;x++)			// Zu einer bestimmten Addresse scrollen
		{
		param=__targv[x];
		if(param[0]!='-' && param[0]!='/')continue;

		if(param[1]=='N' || param[1]=='n'){dlg.m_noregistry=TRUE;dlg.m_nooverwrite =TRUE;continue;}
		if(param[1]=='B' || param[1]=='b'){dlg.m_noregistry=TRUE;dlg.m_dualsynch   =TRUE;continue;}
		if(param[1]=='F' || param[1]=='f'){dlg.m_noregistry=TRUE;dlg.m_viewerrors  =TRUE;continue;}
		if(param[1]=='U' || param[1]=='u'){dlg.m_noregistry=TRUE;dlg.m_subdir      =TRUE;continue;}
		if(param[1]=='S' || param[1]=='s'){dlg.m_noregistry=TRUE;dlg.m_readonly    =TRUE;continue;}
		if(param[1]=='A' || param[1]=='a'){dlg.m_noregistry=TRUE;dlg.m_autostart   =TRUE;continue;}
		if(param[1]=='L' || param[1]=='l'){dlg.m_noregistry=TRUE;dlg.m_alloverwrite=TRUE;continue;}
		if(param[1]=='C' || param[1]=='c'){dlg.m_noregistry=TRUE;dlg.m_setcppfilter=TRUE;continue;}
		if(param[1]=='X' || param[1]=='x'){dlg.m_noregistry=TRUE;dlg.m_setcxxfilter=TRUE;continue;}
		if(param[1]=='V' || param[1]=='v'){dlg.m_noregistry=TRUE;    m_noview      =TRUE;continue;}

		if(param[2]!=':')continue;

		if(param[1]=='Q' || param[1]=='q'){dlg.m_noregistry=TRUE;dlg.m_path1=param+3;continue;}
		if(param[1]=='Z' || param[1]=='z'){dlg.m_noregistry=TRUE;dlg.m_path2=param+3;continue;}
		if(param[1]=='M' || param[1]=='m'){dlg.m_noregistry=TRUE;dlg.m_minus=param+3;continue;}
		if(param[1]=='P' || param[1]=='p'){dlg.m_noregistry=TRUE;dlg.m_plus =param+3;continue;}
		}

	if(m_noview)
		{
							 m_uFlags =0x01;
		if(dlg.m_viewerrors	)m_uFlags|=0x02;
		if(dlg.m_subdir		)m_uFlags|=0x04;
		if(dlg.m_nooverwrite)m_uFlags|=0x08;
		if(dlg.m_dualsynch	)m_uFlags|=0x10;
		if(dlg.m_readonly	)m_uFlags|=0x20;

		SynchCopy(dlg.m_path1,dlg.m_path2,dlg.m_plus,dlg.m_minus,m_uFlags);

		return FALSE;
		}

	dlg.DoModal();


return FALSE;
}
